package com.engine.liante.controller;

import com.engine.common.util.ParamUtil;
import com.engine.common.util.ServiceUtil;
import com.engine.liante.service.WorkflowFieldService;
import com.engine.liante.service.impl.WorkflowFieldServiceImpl;
import com.engine.liante.util.ResponseResult;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2025/02/07
 * @version: 1.0
 */
public class WorkflowFieldController {
    private WorkflowFieldService getWorkflowFieldService(User user) {
        return ServiceUtil.getService(WorkflowFieldServiceImpl.class, user);
    }

    @GET
    @Path("/getSalaryStandards")
    @Produces(MediaType.APPLICATION_JSON)
    public String getSalaryStandards(@Context HttpServletRequest request, @Context HttpServletResponse response) {
        User user = HrmUserVarify.getUser(request, response);
        Map<String, Object> params = ParamUtil.request2Map(request);
        return new ResponseResult<Map<String, Object>, Map<String, Object>>(user).run(getWorkflowFieldService(user)::getSalaryStandards, params);
    }
}
