package com.engine.liante.service.impl;

import com.engine.core.impl.Service;
import com.engine.liante.service.WorkflowFieldService;
import org.apache.commons.lang3.StringUtils;
import weaver.conn.RecordSet;
import weaver.general.Util;

import java.util.HashMap;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2025/02/07
 * @version: 1.0
 */
public class WorkflowFieldServiceImpl extends Service implements WorkflowFieldService {
    @Override
    public Map<String, Object> getSalaryStandards(Map<String, Object> params) {

        Map<String, Object> dataMap = new HashMap<>();
        String id = Util.null2String(params.get("id"));
        String tableName = Util.null2String(params.get("tableName"));
        String relateField = Util.null2String(params.get("relateField"));
        if(StringUtils.isBlank(relateField)){
            relateField="id";
        }
        String fields = Util.null2String(params.get("fields"));
        if (StringUtils.isBlank(id) || StringUtils.isBlank(tableName) || StringUtils.isBlank(fields)) {
            return dataMap;
        }
        RecordSet rs = new RecordSet();
        rs.executeQuery("select " + fields + " from " + tableName + " where " + relateField + " = ?", id);
        if (rs.next()) {
            String[] split = fields.split(",");
            for (String field : split) {
                dataMap.put(field, rs.getString(tableName,field,true,true));
            }
        }
            return dataMap;
    }
}
